/* transparency rules */
#panel.rnb-panel {
    transition-duration: 300ms;
}
#panel.rnb-panel .panel-corner {
    -panel-corner-border-width: 0px;
    transition-duration: 300ms;
}

#panel.rnb-panel-trans {
    background-color: rgba(0, 0, 0, 0.0);
    transition-duration: 500ms;
}
#panel.rnb-panel-trans:overview {
    background-color: transparent;
    transition-duration: 250ms;
}
#panel.rnb-panel-trans .panel-corner {
    -panel-corner-border-width: 0px;
    -panel-corner-opacity: 0.35;
    transition-duration: 500ms;
}
#panel.rnb-panel-trans:overview .panel-corner {
    -panel-corner-opacity: 0;
    transition-duration: 250ms;
}
#panel.rnb-panel-trans .panel-button {
    color: #eee;
    text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.9);
}
#panel.rnb-panel-trans .system-status-icon,
#panel.rnb-panel-trans .app-menu-icon > StIcon,
#panel.rnb-panel-trans .popup-menu-arrow {
    icon-shadow: 0px 1px 2px rgba(0, 0, 0, 0.9);
}
#panel.rnb-panel-trans:hover {
    text-shadow: 0px 1px 6px rgba(0, 0, 0, 1);
}
#panel.rnb-panel-trans:hover .system-status-icon,
#panel.rnb-panel-trans:hover .app-menu-icon > StIcon,
#panel.rnb-panel-trans:hover .popup-menu-arrow {
    icon-shadow: 0px 1px 6px rgba(0, 0, 0, 1);
}
#panel.rnb-panel-trans:active .system-status-icon,
#panel.rnb-panel-trans:overview .system-status-icon,
#panel.rnb-panel-trans:focus .system-status-icon,
#panel.rnb-panel-trans:checked .system-status-icon {
    icon-shadow: black 0 2px 2px;
}

/* grid and apps */

.rnb-apps-grid:hover,
.rnb-apps-grid StBoxLayout:hover,
.rnb-apps-bar:hover,
.rnb-apps-bar StBoxLayout:hover {
    box-shadow: none;
}
.rnb-apps-bar {
    border-radius: 5px;
}
.rnb-apps-grid {
    padding: 0;
    border-radius: 5px;
    margin: 0 0 3px 0;
}
.rnb-app-button {
    padding: 0px 5px;
    border-radius: 5px;
    margin: 0px 2px 3px 1px;
}
.rnb-app-icon {
    margin-top: 1px;
}
.rnb-app-win-indicator {
    height: 3px;
    background-color: transparent;
}
.rnb-app-win-indicator > .dash {
    height: 3px;
    width: 10px;
    margin: 0;
    background-color: transparent;
}

.rnb-separator {
    background-color: rgba(211, 211, 211, 0.5); 
    margin: 0px 3px;
}

.rnb-apps-grid:hover,
.rnb-apps-grid:focus, 
.rnb-app-button:hover, 
.rnb-app-button:focus {
    background-color: rgba(211, 211, 211, 0.20);
}
.rnb-apps-grid.running,
.rnb-app-button.running {
    background-color: rgba(211, 211, 211, 0.20);
}

.rnb-app-button.running .rnb-app-win-indicator > .dash {
    /*Light 5*/
    background-color: #9a9996;
}

.rnb-app-button.running.active {
    /*blue 5*/
    background-color: #1a5fb4;
}
.rnb-app-button.running.active .rnb-app-win-indicator > .dash {
    /*blue 1*/
    background-color: #99c1f1;
}
